<?php
namespace MascotCoreFeshoWP\Widgets\Services\Skins;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Image_Size;
use Elementor\Skin_Base as Elementor_Skin_Base;

use MASCOTCOREFESHO\Lib;
use MASCOTCOREFESHO\CPT\Services\CPT_Services;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Skin_Style_Mouse_Hover_Cursor_Effect extends Elementor_Skin_Base {

	protected function _register_controls_actions() {
		add_action( 'elementor/element/tm-ele-cpt-services/general/after_section_end', [ $this, 'register_layout_controls' ] );
	}

	public function get_id() {
		return 'skin-style-mouse-hover-cursor-effect';
	}


	public function get_title() {
		return __( 'Skin - Style Mouse Hover Cursor Effect', 'mascot-core-fesho-wp' );
	}


	public function register_layout_controls( Widget_Base $widget ) {
		$this->parent = $widget;
	}
	
	public function render() {
		$settings = $this->parent->get_settings_for_display();

		$new_cpt_class = CPT_Services::Instance();
		$class_instance =  (array) $new_cpt_class;
		$settings['holder_id'] = fesho_wp_get_isotope_holder_ID('services');

		$service_icon_array_new = array();
		if ( $settings['service_icon_array'] ) :
			foreach (  $settings['service_icon_array'] as $each_item ) {
				$service_icon_array_new[$each_item['icon_for_service']] = $each_item['service_icon'];
			}
		endif;
		$settings['service_icon_array_new'] = $service_icon_array_new;

		$this->render_output( $class_instance, $settings );
	}

	public function render_output( $class_instance, $settings ) {
		$new_cpt_class = $class_instance;
		
		$settings['the_query'] = $this->parent->query_posts($new_cpt_class);

		//classes
		$classes = array();
		if( $settings['add_border_radius'] ) {
			$classes[] = 'border-radius-around-box';
		}
		$settings['classes'] = $classes;

		//button classes
		$settings['btn_classes'] = mascot_core_prepare_button_classes_from_params( $settings );

		//ptTaxKey
		$settings['ptTaxKey'] = $new_cpt_class['ptTaxKey'];

		//Owl Carousel Data
		$settings['owl_carousel_data_info'] = mascot_core_prepare_owlcarousel_data_from_params( $settings );

		$html = mascot_core_fesho_wp_get_cpt_shortcode_template_part( 'each-item', $settings['_skin'], 'services/tpl', $settings, true );

		echo $html;
	}
}
